#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 persistent-test
version:              2.13.0.3
visibility:           public
id:                   persistent-test-2.13.0.3-28dGOtxijlI1UJRgc9GTnW
key:                  persistent-test-2.13.0.3-28dGOtxijlI1UJRgc9GTnW
license:              MIT
maintainer:           Michael Snoyman <michael@snoyman.com>
author:               Michael Snoyman <michael@snoyman.com>
stability:            Stable
homepage:             http://www.yesodweb.com/book/persistent
synopsis:             Tests for Persistent
description:
    Tests for Persistent. This is only for use in developing libraries that should conform to the persistent interface, not for users of the persistent suite of database libraries.

category:             Database, Yesod
abi:                  33c828f3ac659416dd91f69571315fb0
exposed:              True
exposed-modules:
    CompositeTest CustomPersistField CustomPersistFieldTest
    CustomPrimaryKeyReferenceTest DataTypeTest EmbedOrderTest EmbedTest
    EmptyEntityTest EntityEmbedTest EquivalentTypeTest ForeignKey
    GeneratedColumnTestSQL HtmlTest Init LargeNumberTest
    LongIdentifierTest MaxLenTest MigrationColumnLengthTest
    MigrationIdempotencyTest MigrationOnlyTest MigrationTest
    MpsCustomPrefixTest MpsNoPrefixTest PersistTestPetCollarType
    PersistTestPetType PersistUniqueTest PersistentTest
    PersistentTestModels PersistentTestModelsImports PrimaryTest
    RawSqlTest ReadWriteTest Recursive RenameTest SumTypeTest
    TransactionLevelTest TreeTest UniqueTest UpsertTest

import-dirs:          /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
library-dirs:         /usr/lib/ghc-9.0.1/site-local/persistent-test-2.13.0.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/persistent-test-2.13.0.3
hs-libraries:         HSpersistent-test-2.13.0.3-28dGOtxijlI1UJRgc9GTnW
depends:
    HUnit-1.6.2.0-2lDDmQCEetY9OrwZ2lDZMS
    QuickCheck-2.14.2-3f9Gw3UEGqTK3AyHIcW3dz
    aeson-1.5.6.0-FZsVpvEwT8z4bK1D26EwAs base-4.15.0.0
    blaze-html-0.9.1.2-KB0lS4ujoOZB0BWG67YZVZ bytestring-0.10.12.1
    conduit-1.3.4.2-G1HkDA3DXNW8qvzQqLFdeJ containers-0.6.4.1
    exceptions-0.10.4 hspec-2.8.3-LtRJwH8U2CkLRWWgrrKPIl
    hspec-expectations-0.8.2-GGGXL2nWs981V3xvQdYYx0
    http-api-data-0.4.3-5n7QBqX81Tk55DcuInPgjy
    monad-control-1.0.3.1-buqreaszgTDhqS64rvHY6
    monad-logger-0.3.36-AmpxJENMv6CDp65P8WeAcr mtl-2.2.2
    path-pieces-0.2.1-HjhK3aNN7yZFxOOVXSfLKP
    persistent-2.13.1.2-C5bVwKnZMxGCi374RZf2lE
    quickcheck-instances-0.3.25.2-JVtNKZqiPrp93LATM1HRDH
    random-1.2.1-Iy7yOfCz74T6VyvkhFUFfX
    resourcet-1.2.4.3-8689t6OWpHGD0T1pI8fpT0 text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 transformers-base-0.4.6-BxowhPHAvTf3506d7p3ISW
    unliftio-0.2.20-6cACn21LhzJEequYNw6Lpu
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-7Twq3Q78XsnAV2eREMKYwX

haddock-interfaces:
    /usr/share/doc/haskell-persistent-test/html/persistent-test.haddock

haddock-html:         /usr/share/doc/haskell-persistent-test/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

